package jp.sourceforge.cfneo.at4ie.api;

/**
 * Invokerのファクトリのインターフェイス。
 * @author imaitakafumi
 *
 */
public abstract class InvokerFactory {

	private Context context;

	/**
	 * コンストラクタ。
	 * @param context
	 */
	public InvokerFactory(Context context) {
		this.context = context;
	}

	/**
	 * 指定されたactionに対応したInvokerを生成する。
	 * @param action
	 * @return
	 */
	abstract public Invoker getInvoker(ActionCommandEnum action);

	protected Context getContext() {
		return context;
	}

}
